Class List Method List File List

# Class: Vertx::FSProps

Inherits:
  Object
  - Object
  - Vertx::FSProps
  show all
Defined in:
  src/main/ruby_scripts/core/file_system.rb

## Overview

Represents the properties of a file system

Author:

- Tim Fox

## Instance Method Summary (collapse)

- - (FixNum) total_space
  The total space on the file system, in bytes.
- - (FixNum) unallocated_space
  Unallocated space on the file system, in bytes.
- - (FixNum) usable_space
  Usable space on the file system, in bytes.

## Instance Method Details

### - (`FixNum`) total_space

The total space on the file system, in bytes.

Returns:

- (`FixNum`) —
  The total space on the file system, in bytes.

    80
    81
    82

    # File 'src/main/ruby_scripts/core/file_system.rb', line 80

    def total_space
      @j_props.totalSpace
    end

### - (`FixNum`) unallocated_space

Unallocated space on the file system, in bytes.

Returns:

- (`FixNum`) —
  Unallocated space on the file system, in bytes.

    85
    86
    87

    # File 'src/main/ruby_scripts/core/file_system.rb', line 85

    def unallocated_space
      @j_props.unallocatedSpace
    end

### - (`FixNum`) usable_space

Usable space on the file system, in bytes.

Returns:

- (`FixNum`) —
  Usable space on the file system, in bytes.

    90
    91
    92

    # File 'src/main/ruby_scripts/core/file_system.rb', line 90

    def usable_space
      @j_props.usableSpace
    end